List plan attachments
curl --request GET \
--url https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"createdAt": 123,
"activationAt": 123,
"expirationAt": 123,
"state": "CREATED",
"usedAllowance": {
"dataBytes": 1024,
"voiceSeconds": 60,
"smsMessages": 100
},
"plan": {
"name": "Australia 1GB 7d",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "alpha",
"coverageProfileId": "cvpr_ybrs38es"
}
}
]
}SubscriptionV2
List plan attachments
The attachment could be in any of the following state:
CREATED - attachment is created in the database, but not provisioned on the telco system
PENDING_FOR_FIRST_USE - ready to be activated on first use
ACTIVE - data can be actively consumed if the allowance is not exhausted
SUSPENDED - data can not be consumed in this state
EXPIRED - validity expired so no data consumption is possible
SCHEDULED - ready to be activated at the schedule date & time
GET
/
v2
/
subscriptions
/
{xid}
/
plan-attachments
List plan attachments
curl --request GET \
--url https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"createdAt": 123,
"activationAt": 123,
"expirationAt": 123,
"state": "CREATED",
"usedAllowance": {
"dataBytes": 1024,
"voiceSeconds": 60,
"smsMessages": 100
},
"plan": {
"name": "Australia 1GB 7d",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "alpha",
"coverageProfileId": "cvpr_ybrs38es"
}
}
]
}
